## ros-humble-smclib 3.0.2

=== debian/changelog ===
ros-humble-smclib (3.0.2-3jammy) jammy; urgency=high



 -- Michael Carroll <michael@openrobotics.org>  Fri, 01 Apr 2022 05:00:00 -0000

ros-humble-smclib (3.0.1-3jammy) jammy; urgency=high

  * Fix cpplint/uncrustify errors.
  * Contributors: Chris Lalancette

 -- Michael Carroll <michael@openrobotics.org>  Tue, 26 Jan 2021 06:00:00 -0000

ros-humble-smclib (3.0.0-3jammy) jammy; urgency=high



 -- Michael Carroll <michael@openrobotics.org>  Tue, 26 Jan 2021 06:00:00 -0000

ros-humble-smclib (2.0.0-3jammy) jammy; urgency=high

  * fix deprecation warnings (#56 <https://github.com/ros/bond_core/issues/56>)
  * Ros2 devel (#54 <https://github.com/ros/bond_core/issues/54>)
  * Make Michael Carroll the maintainer (#40 <https://github.com/ros/bond_core/issues/40>)
  * Contributors: Karsten Knese, Mikael Arguedas

 -- Michael Carroll <michael@openrobotics.org>  Thu, 05 Nov 2020 06:00:00 -0000

ros-humble-smclib (1.8.3-3jammy) jammy; urgency=high



 -- Michael Carroll <michael@openrobotics.org>  Fri, 17 Aug 2018 05:00:00 -0000

ros-humble-smclib (1.8.2-3jammy) jammy; urgency=high



 -- Michael Carroll <michael@openrobotics.org>  Fri, 27 Apr 2018 05:00:00 -0000

ros-humble-smclib (1.8.1-3jammy) jammy; urgency=high

  * fix package.xml to comply with schema (#30 <https://github.com/ros/bond_core/issues/30>)
  * Contributors: Mikael Arguedas

 -- Michael Carroll <michael@openrobotics.org>  Fri, 27 Oct 2017 05:00:00 -0000

ros-humble-smclib (1.8.0-3jammy) jammy; urgency=high

  * C++ style (#28 <https://github.com/ros/bond_core/issues/28>)
  * switch to package format 2 (#27 <https://github.com/ros/bond_core/issues/27>)
  * remove trailing whitespaces (#26 <https://github.com/ros/bond_core/issues/26>)
  * Closer to pep8 compliance (#25 <https://github.com/ros/bond_core/issues/25>)
  * Contributors: Mikael Arguedas

 -- Michael Carroll <michael@openrobotics.org>  Thu, 27 Jul 2017 05:00:00 -0000

ros-humble-smclib (1.7.19-3jammy) jammy; urgency=high



 -- Michael Carroll <michael@openrobotics.org>  Mon, 27 Mar 2017 05:00:00 -0000

ros-humble-smclib (1.7.18-3jammy) jammy; urgency=high



 -- Michael Carroll <michael@openrobotics.org>  Mon, 24 Oct 2016 05:00:00 -0000

ros-humble-smclib (1.7.17-3jammy) jammy; urgency=high

  * update maintainer
  * Contributors: Mikael Arguedas

 -- Michael Carroll <michael@openrobotics.org>  Tue, 15 Mar 2016 05:00:00 -0000

ros-humble-smclib (1.7.16-3jammy) jammy; urgency=high



 -- Michael Carroll <michael@openrobotics.org>  Thu, 30 Oct 2014 05:00:00 -0000

ros-humble-smclib (1.7.15-3jammy) jammy; urgency=high



 -- Michael Carroll <michael@openrobotics.org>  Tue, 28 Oct 2014 05:00:00 -0000

ros-humble-smclib (1.7.14-3jammy) jammy; urgency=high

  * Export architecture_independent flag in package.xml #4 <https://github.com/ros/bond_core/pull/4>
  * Update maintainer field
  * Contributors: Esteve Fernandez, Scott K Logan, Vincent Rabaud

 -- Michael Carroll <michael@openrobotics.org>  Thu, 08 May 2014 05:00:00 -0000

ros-humble-smclib (1.7.13-3jammy) jammy; urgency=high



 -- Michael Carroll <michael@openrobotics.org>  Wed, 21 Aug 2013 05:00:00 -0000

ros-humble-smclib (1.7.12-3jammy) jammy; urgency=high



 -- Michael Carroll <michael@openrobotics.org>  Thu, 06 Jun 2013 05:00:00 -0000

ros-humble-smclib (1.7.11-3jammy) jammy; urgency=high



 -- Michael Carroll <michael@openrobotics.org>  Wed, 13 Mar 2013 05:00:00 -0000

ros-humble-smclib (1.7.10-3jammy) jammy; urgency=high



 -- Michael Carroll <michael@openrobotics.org>  Sun, 13 Jan 2013 06:00:00 -0000

ros-humble-smclib (1.7.9-3jammy) jammy; urgency=high

  * modified dep type of catkin
  * Contributors: Dirk Thomas

 -- Michael Carroll <michael@openrobotics.org>  Thu, 27 Dec 2012 06:00:00 -0000

ros-humble-smclib (1.7.8-3jammy) jammy; urgency=high

  * update setup() to use generate_distutils_setup
  * Contributors: Dirk Thomas

 -- Michael Carroll <michael@openrobotics.org>  Thu, 13 Dec 2012 06:00:00 -0000

ros-humble-smclib (1.7.7-3jammy) jammy; urgency=high

  * Updated url tags in package.xml's #1 <https://github.com/ros/bond_core/pull/1>
  * removed executable bit from header file
  * Contributors: Dirk Thomas, William Woodall

 -- Michael Carroll <michael@openrobotics.org>  Thu, 06 Dec 2012 06:00:00 -0000

ros-humble-smclib (1.7.6-3jammy) jammy; urgency=high

  * fix catkin function order
  * Contributors: Dirk Thomas

 -- Michael Carroll <michael@openrobotics.org>  Tue, 30 Oct 2012 05:00:00 -0000

ros-humble-smclib (1.7.5-3jammy) jammy; urgency=high

  * clean up package.xml files
  * updated setup.py files
  * Contributors: Dirk Thomas

 -- Michael Carroll <michael@openrobotics.org>  Sat, 27 Oct 2012 05:00:00 -0000

ros-humble-smclib (1.7.4-3jammy) jammy; urgency=high



 -- Michael Carroll <michael@openrobotics.org>  Sat, 06 Oct 2012 05:00:00 -0000

ros-humble-smclib (1.7.3-3jammy) jammy; urgency=high



 -- Michael Carroll <michael@openrobotics.org>  Tue, 02 Oct 2012 05:19:00 -0000

ros-humble-smclib (1.7.2-3jammy) jammy; urgency=high

  * add the missing catkin dependency
  * Contributors: Vincent Rabaud

 -- Michael Carroll <michael@openrobotics.org>  Tue, 02 Oct 2012 05:06:00 -0000

ros-humble-smclib (1.7.1-3jammy) jammy; urgency=high



 -- Michael Carroll <michael@openrobotics.org>  Tue, 02 Oct 2012 00:00:00 -0000

ros-humble-smclib (1.7.0-3jammy) jammy; urgency=high

  * catkinize bond
  * Downloading smclib from code.ros.org
    --HG--
    extra : rebase_source : d17dff0350b44646e6a952fc2cc883156ba9f4a4
  * Moving bond into common
    --HG--
    extra : convert_revision : svn%3Aeb33c2ac-9c88-4c90-87e0-44a10359b0c3/stacks/common/trunk%4032634
  * Contributors: Stuart Glaser, Vincent Rabaud, sglaser

 -- Michael Carroll <michael@openrobotics.org>  Mon, 01 Oct 2012 21:51:00 -0000
